
%if !0%{?bootstrap}
%endif


Name:    dolphin
Summary: KDE File Manager
Version: 23.08.5
Release:    1%{?dist}

License: GPLv2+
URL:     https://invent.kde.org/system/dolphin
%global revision %(echo %{version} | cut -d. -f3)
%global majmin_ver %(echo %{version} | cut -d. -f1,2)
%if %{revision} >= 50
%global stable unstable
%else
%global stable stable
%endif
Source0: http://download.kde.org/%{stable}/release-service/%{version}/src/%{name}-%{version}.tar.xz


BuildRequires:  desktop-file-utils
BuildRequires:  libappstream-glib
BuildRequires:  systemd-rpm-macros

BuildRequires:  extra-cmake-modules >= 5.71
BuildRequires:  kf5-rpm-macros
BuildRequires:  cmake(KF5DocTools)
BuildRequires:  cmake(KF5KCMUtils)
BuildRequires:  cmake(KF5NewStuff)
BuildRequires:  cmake(KF5CoreAddons)
BuildRequires:  cmake(KF5I18n)
BuildRequires:  cmake(KF5DBusAddons)
BuildRequires:  cmake(KF5Bookmarks)
BuildRequires:  cmake(KF5Config)
BuildRequires:  cmake(KF5KIO)
BuildRequires:  cmake(KF5Parts)
BuildRequires:  cmake(KF5Solid)
BuildRequires:  cmake(KF5IconThemes)
BuildRequires:  cmake(KF5Completion)
BuildRequires:  cmake(KF5TextWidgets)
BuildRequires:  cmake(KF5Notifications)
BuildRequires:  cmake(KF5Crash)
BuildRequires:  cmake(KF5WindowSystem)

BuildRequires:  phonon-qt5-devel
BuildRequires:  qt5-qtbase-devel
BuildRequires:  cmake(Qt5X11Extras)

%if ! 0%{?bootstrap}
BuildRequires:  kf5-kactivities-devel
BuildRequires:  kf5-baloo-devel
BuildRequires:  kf5-kfilemetadata-devel
BuildRequires:  baloo-widgets-devel
%endif

%if 0%{?tests}
BuildRequires: make
BuildRequires: xorg-x11-server-Xvfb
BuildRequires: rubygem(test-unit)
%endif

Requires:       %{name}-libs = %{version}-%{release}

Recommends:     kio-fuse
Recommends:     kio-extras
Recommends:     %{name}-plugins

Conflicts: kde-l10n < 17.03

%description
%{summary}.

%package        libs
Summary:        Dolphin runtime libraries
Requires:       %{name} = %{version}-%{release}
%description    libs
%{summary}.

%package        devel
Summary:        Developer files for %{name}
Requires:       %{name}-libs = %{version}-%{release}
Requires:       qt5-qtbase-devel
Requires:       kf5-kio-devel
%description    devel
%{summary}.


%prep
%autosetup -n %{name}-%{version} -p1


%build
%cmake_kf5 \
  %{?flatpak:-DFLATPAK:BOOL=ON} \
  -DKDE_INSTALL_SYSTEMDUSERUNITDIR=%{_userunitdir} \
  -DBUILD_TESTING:BOOL=%{?tests:ON}%{!?tests:OFF}

%cmake_build


%install
%cmake_install

%find_lang dolphin --all-name --with-html

%if 0%{?dolphin_autostart}
rm -fv %{buildroot}%{_datadir}/dbus-1/services/org.kde.dolphin.FileManager1.service
install -m644 -p -D \
  %{buildroot}%{_kf5_datadir}/applications/org.kde.%{name}.desktop \
  %{buildroot}%{_kf5_sysconfdir}/xdg/autostart/org.kde.%{name}.desktop
desktop-file-edit \
  --add-only-show-in=KDE \
  --set-key=Exec --set-value="dolphin --daemon" \
  %{buildroot}%{_kf5_sysconfdir}/xdg/autostart/org.kde.%{name}.desktop
%endif

%if 0%{?flatpak}
for i in 16 22 32 48 64 128; do
  install -D -m0644 src/icons/${i}-system-file-manager.png %{buildroot}%{_datadir}/icons/hicolor/${i}x${i}/apps/system-file-manager.png
done
install -D -m0644 src/icons/system-file-manager.svg %{buildroot}%{_datadir}/icons/hicolor/scalable/apps/system-file-manager.svg
%endif


%check
appstream-util validate-relax --nonet %{buildroot}%{_kf5_metainfodir}/org.kde.%{name}.appdata.xml ||:
desktop-file-validate %{buildroot}%{_kf5_datadir}/applications/org.kde.%{name}.desktop ||:
%if 0%{?tests}
export CTEST_OUTPUT_ON_FAILURE=1
xvfb-run -a \
make test ARGS="--output-on-failure --timeout 10" -C %{_target_platform} ||:
%endif


%files -f dolphin.lang
%license LICENSES/*
%doc README*
%{_kf5_datadir}/qlogging-categories5/dolphin.*
%{_kf5_bindir}/dolphin
%{_kf5_bindir}/servicemenuinstaller
%{_kf5_datadir}/config.kcfg/dolphin_*
%{_kf5_datadir}/knsrcfiles/*
%if 0%{?dolphin_autostart}
%{_kf5_sysconfdir}/xdg/autostart/org.kde.%{name}.desktop
%else
%if 0%{?flatpak}
%{_datadir}/dbus-1/services/org.freedesktop.FileManager1.service
%else
%{_datadir}/dbus-1/services/org.kde.dolphin.FileManager1.service
%endif
%endif
%{_userunitdir}/*
%{_kf5_metainfodir}/org.kde.%{name}.appdata.xml
%{_kf5_datadir}/applications/org.kde.%{name}.desktop
%dir %{_kf5_datadir}/kglobalaccel/
%{_kf5_datadir}/kglobalaccel/org.kde.dolphin.desktop
%lang(fi) %{_datadir}/locale/fi/LC_SCRIPTS/dolphin/
%{_kf5_datadir}/kconf_update/dolphin_detailsmodesettings.upd
%dir %{_kf5_datadir}/dolphin
%{_kf5_datadir}/dolphin/dolphinpartactions.desktop
%{_kf5_datadir}/zsh/site-functions/_dolphin
%if 0%{?flatpak}
%{_datadir}/icons/hicolor/*/apps/system-file-manager.*
%endif

%files libs
%{_kf5_libdir}/libdolphinprivate.so.*
%{_kf5_libdir}/libdolphinvcs.so.*
%{_kf5_qtplugindir}/dolphin/
%{_kf5_plugindir}/parts/dolphinpart.so

%files devel
%{_includedir}/Dolphin/
%{_includedir}/dolphin*_export.h
%{_kf5_libdir}/cmake/DolphinVcs/
%{_kf5_libdir}/libdolphinvcs.so
%{_datadir}/dbus-1/interfaces/org.freedesktop.FileManager1.xml


%changelog
* Wed Jul 24 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 23.08.5-1
- initial build
